package com.seanchenxi.gwt.xmlrpc.client;

/**
 * The Interface ResponseHandler.
 * 
 * @param <T>
 *            the generic type
 */
public interface ResponseHandler<T> extends Cloneable {

	/**
	 * Handle response.
	 * 
	 * @param response
	 *            the response
	 * @return the T type
	 */
	T handleResponse(String responseText);

}
